Subject: bug#35476: font-lock-{append, prepend}-text-property and anonymous faces

From: Noam Postavsky <[email-masked]>
Date: Sun, 12 May 2019 08:28:39 -0400

Kévin Le Gouguec <[email-masked]> writes:

> Now that Stefan committed a fix to Emacs 27, and Nicolas a workaround
> to org-mode, this bug report can probably be closed; I just have a few
> questions left:
>
> 1. Shouldn't Stefan's fix also be applied to
>    font-lock-append-text-property?
>
> 2. Is it worth adding the test suite I posted in bug#35476#8 to the
>    Emacs repository?

I'd say the answers are yes and yes.  So would you mind adding the fix
for font-lock-append-text-property to your patch?